<?php
$content = get_the_content();

if(has_block('core/video', $content)) {
	kfvuelzen_print_first_instance_of_block( 'core/video', $content );
} elseif(has_block('core/embed', $content)) {
	kfvuelzen_print_first_instance_of_block( 'core/embed', $content );
} else {
	kfvuelzen_print_first_instance_of_block('core-embed/*', $content);
}

the_excerpt();